#!/usr/bin/python3
# -*- coding: utf-8 -*-

__version__ = '1.1.5'
__version_name__ = 'Aragon'

__poetry__ = '''
            My pretty love my dear love my tearing
            I bear you inside me like a injuried bird
            and those ones look at us passing without knowing
            Repeating after me the words I had wreathed
            and which for your great eyes died right away
            \tThere is no happy love
            '''

##imports
#stdlib
import sys
import getpass
#self
from lib.text import red, bold
from lib.parser import parse, confparse
from lib.tools import Logger
import lib.operations


def run(args=sys.argv[1:]):
    """
    runs the git package manager
    output will be logged to the log folder defined in config.ini
    (default = /var/log/git-pm) except if the git package manager
    is called with commands info or flush.
    """
    try:
        options = parse(args)
        if options['log']['alwayslog'] and options['cmd'] not in ('info', 'flush', 'list'):
            sys.stdout = Logger(filepath = options['log']['path'], err=False, quiet=options['quiet'])
            sys.stderr = Logger(filepath = options['log']['path'], err=True,  quiet=options['quiet'])
        operation = getattr(lib.operations, options['cmd'])
        operation(options)
    except SystemExit:
        pass
    except KeyboardInterrupt:
        print(bold(red('\rgit-pm was stopped')))

if __name__=="__main__":
    run()
